/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

package org.elasticsearch.xpack.datastreams.rest;

import org.elasticsearch.client.node.NodeClient;
import org.elasticsearch.common.collect.List;
import org.elasticsearch.rest.BaseRestHandler;
import org.elasticsearch.rest.RestRequest;
import org.elasticsearch.rest.action.RestToXContentListener;
import org.elasticsearch.xpack.core.MigrateToDataStreamAction;

import java.io.IOException;

public class RestMigrateToDataStreamAction extends BaseRestHandler {

    @Override
    public String getName() {
        return "migrate_to_data_stream_action";
    }

    @Override
    public java.util.List<Route> routes() {
        return List.of(new Route(RestRequest.Method.POST, "/_data_stream/_migrate/{name}"));
    }

    @Override
    protected RestChannelConsumer prepareRequest(RestRequest request, NodeClient client) throws IOException {
        MigrateToDataStreamAction.Request req = new MigrateToDataStreamAction.Request(request.param("name"));
        return channel -> client.execute(MigrateToDataStreamAction.INSTANCE, req, new RestToXContentListener<>(channel));
    }
}
